;;; cl-scopes/test/etc.lisp
;;; use: `(load "test/etc")` from package scopes/test-storage

(defparameter db-config-sqlite
  '(:db-type :sqlite3
    :connect-args
	 (:database-name "test/test.db")
    :options nil))

(defparameter db-config-postgres
  '(:db-type :postgres
    :connect-args
     (:database-name "cltest"
	  :host "localhost"
	  :port 5432
	  :username "testuser"
	  :password "secret")
    :options
	 (:schema "testing")))

(setf scopes/test-storage:*db-config-sqlite* db-config-sqlite)
(setf scopes/test-storage:*db-config-postgres* db-config-postgres)
